Bug 122179 - rpm -q --whatrequires doesn't return "package not installed" when package is missing.
Summary: rpm -q --whatrequires doesn't return "package not installed" when package is ...
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-01 15:39 UTC by Sindre Pedersen Bjørdal
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-04 13:35:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sindre Pedersen Bjørdal 2004-05-01 15:39:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040422 Galeon/1.3.14

Description of problem:
If one tries to do rpm -q --whatrequires to a package that isn't
installed, or if you have a typo or a bogus package name, it will
return  "no package requires <packagename>".

For example if I want to check what packages require compat-slang, but
I don't have it installed I do:
rpm -q --whatrequires compat-slang

rpm will return: 
no package requires compat-slang 

This gives me the impression that I have the package installed, but no
package needs it, which again seems all wrong. It should return
"package compat-slang is not installed" instead or in addition to the
current output. 


Version-Release number of selected component (if applicable):


How reproducible:
Always


Additional info:

Comment 1 Alan Cox 2004-05-02 21:54:00 UTC
I'm not sure this is really a bug. If you have unresolved dependancies
you can legitimately have requirements for packages that are not
installed. You can also have requirements for file paths, libraries etc



Note You need to log in before you can comment on or make changes to this bug.